﻿using System.Collections.ObjectModel;
using System.Linq;
using System.Windows;
using System;
using System.Windows.Input;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Microsoft.Win32;
using System.Windows.Data;

namespace WPF_ListBox
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }
    }

    public class Customer
    {
        public string Name { get; set; }
        public string City { get; set; }
        public string Phone { get; set; }

        public ObservableCollection<Customer> Customers { get; set; }

        public Customer(string name, string city, string phone)
        {
            this.Name = name;
            this.City = city;
            this.Phone = phone;
            this.Customers = new ObservableCollection<Customer>();
        }
    }
}